namespace bitforum.Models
{
    // 권한 정보
    public record Permission(bool CanRead, bool CanWrite, bool CanEdit, bool CanDelete);

    // 권한 설정
    public class PermissionData
    {
        public List<Permission> Permissions()
        {
            return new List<Permission>
            {
                // 읽기, 쓰기, 수정, 삭제
                new Permission(true, true, true, true), // Admin
                new Permission(true, true, true, false), // Manager
                new Permission(true, true, false, false), // Staff
                new Permission(true, false, false, false) // Viewer
            };
        }
    }
}
